openapi: 3.0.2
info:
  title: CustomerUser connect.eyefi.com.au OpenAPI v1.1.4
  version: 1.1.4
  termsOfService: https://connect.eyefi.com.au/terms_and_conditions
  description: 'CustomerUser connect.eyefi.com.au OpenAPI v1.1.4

    This is the schema allowing the above user to access APIs located at https://connect.eyefi.com.au/'
paths:
  /api/1/sitemaps/:
    get:
      operationId: listSiteMaps
      description: 'return paginated array of results.

        Default ordering: address__customer,-address__default_location,address__name,address__pk,-default_sitemap,order,name,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: name
        required: false
        in: query
        description: name
        schema:
          type: string
      - name: name__contains
        required: false
        in: query
        description: name__contains
        schema:
          type: string
      - name: address_uuid
        required: false
        in: query
        description: address_uuid
        schema:
          type: string
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: device_uuid
        required: false
        in: query
        description: device_uuid
        schema:
          type: string
      - name: sitemap_uuid
        required: false
        in: query
        description: sitemap_uuid
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: name,address__address,address__name'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: name,address__name,order,created,modified'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/SiteMapForCustomerUser'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Site Map Too Many Requests
      tags:
      - sitemaps
  /api/1/sitemaps/{sitemap_uuid}/:
    get:
      operationId: retrieveSiteMap
      description: ''
      parameters:
      - name: sitemap_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteMapForCustomerUser'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Site Map Unprocessable Entity
        '404':
          description: Site Map Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Site Map (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Site Map Too Many Requests
      tags:
      - sitemaps
  /api/1/sitemaps/{sitemap_uuid}/img/:
    get:
      operationId: imgSiteMap
      description: 'Return the sitemap image as a http mime file for <img> embeds.

        If as_attachment parameter lower cased is one of ''1'', ''t'', ''true'', ''y'',
        ''yes''

        set header Content-Disposition: attachment otherwise Content-Disposition:
        inline

        Device must be Active and Subscribed to allow this to work.'
      parameters:
      - name: sitemap_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteMapForCustomerUser'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Site Map Unprocessable Entity
        '404':
          description: Site Map Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Site Map (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Site Map Too Many Requests
      tags:
      - sitemaps
  /api/1/addresses/:
    get:
      operationId: listAddress
      description: 'return paginated array of results.

        Default ordering: customer,-default_location,name,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: name
        required: false
        in: query
        description: name
        schema:
          type: string
      - name: name__contains
        required: false
        in: query
        description: name__contains
        schema:
          type: string
      - name: address
        required: false
        in: query
        description: address
        schema:
          type: string
      - name: address__contains
        required: false
        in: query
        description: address__contains
        schema:
          type: string
      - name: address_uuid
        required: false
        in: query
        description: address_uuid
        schema:
          type: string
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: device_uuid
        required: false
        in: query
        description: device_uuid
        schema:
          type: string
      - name: sitemap_uuid
        required: false
        in: query
        description: sitemap_uuid
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: name,address'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: name,address,created,modified'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/AddressForCustomerUser'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Address Too Many Requests
      tags:
      - addresses
  /api/1/addresses/{address_uuid}/:
    get:
      operationId: retrieveAddress
      description: ''
      parameters:
      - name: address_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressForCustomerUser'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Address Unprocessable Entity
        '404':
          description: Address Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Address (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Address Too Many Requests
      tags:
      - addresses
  /api/1/customers/:
    get:
      operationId: listCustomers
      description: 'return paginated array of results.

        Default ordering: name,abn,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: customer_abn
        required: false
        in: query
        description: customer_abn
        schema:
          type: string
      - name: seller_uuid
        required: false
        in: query
        description: seller_uuid
        schema:
          type: string
      - name: seller_abn
        required: false
        in: query
        description: seller_abn
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: name,abn'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: name,abn'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/CustomerForCustomerUser'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Customer Too Many Requests
      tags:
      - customers
  /api/1/customers/{customer_uuid}/:
    get:
      operationId: retrieveCustomer
      description: ''
      parameters:
      - name: customer_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerForCustomerUser'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Customer Unprocessable Entity
        '404':
          description: Customer Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Customer (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Customer Too Many Requests
      tags:
      - customers
  /api/1/customers/{customer_uuid}/get_multiple_summary_recordings_for/:
    get:
      operationId: getMultipleSummaryRecordingsForCustomer
      description: Returns Multiple Summary Reports for Customer Device Recordings
      parameters:
      - name: customer_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      - name: date
        description: date of reports to generate
        required: false
        schema:
          type: date
        in: query
      - name: unfetched
        description: include recordings which have not been fetched
        required: false
        schema:
          type: boolean
        in: query
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipleSummaryReports'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Customer Unprocessable Entity
        '404':
          description: Customer Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Customer (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Customer Too Many Requests
      tags:
      - customers
  /api/1/devices/:
    get:
      operationId: listDevices
      description: 'return paginated array of results.

        Default ordering: customer,-is_active,sitemap__address__customer,-sitemap__address__default_location,sitemap__address__name,sitemap__address__pk,-sitemap__default_sitemap,sitemap__order,sitemap__name,sitemap__pk,name,id'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: name
        required: false
        in: query
        description: name
        schema:
          type: string
      - name: name__contains
        required: false
        in: query
        description: name__contains
        schema:
          type: string
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: device_uuid
        required: false
        in: query
        description: device_uuid
        schema:
          type: string
      - name: sitemap_uuid
        required: false
        in: query
        description: sitemap_uuid
        schema:
          type: string
      - name: address_uuid
        required: false
        in: query
        description: address_uuid
        schema:
          type: string
      - name: group_uuid
        required: false
        in: query
        description: group_uuid
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of field: name'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: name,created,modified'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/DeviceForCustomerUser'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Too Many Requests
      tags:
      - devices
  /api/1/devices/{device_uuid}/:
    get:
      operationId: retrieveDevice
      description: ''
      parameters:
      - name: device_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceForCustomerUser'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Device Unprocessable Entity
        '404':
          description: Device Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Device (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Too Many Requests
      tags:
      - devices
  /api/1/devices/{device_uuid}/get_multiple_summary_recordings_for/:
    get:
      operationId: getMultipleSummaryRecordingsForDevice
      description: Returns Multiple Summary Reports for Device Recordings
      parameters:
      - name: device_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      - name: date
        description: date of reports to generate
        required: false
        schema:
          type: date
        in: query
      - name: unfetched
        description: include recordings which have not been fetched
        required: false
        schema:
          type: boolean
        in: query
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipleSummaryReports'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Device Unprocessable Entity
        '404':
          description: Device Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Device (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Too Many Requests
      tags:
      - devices
  /api/1/devices/{device_uuid}/mjpg_img_src/:
    get:
      operationId: mjpgImgSrcDevice
      description: 'Return HTTP Redirect 302 with the URL to find the MJPEG img src
        attribute for the camera feed.

        Device must be Active and Subscribed to allow this to work.'
      parameters:
      - name: device_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      - name: camera
        description: camera to source the live feed from. See Device.camera_choices
        required: false
        schema:
          type: integer
        in: query
      responses:
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Device Unprocessable Entity
        '404':
          description: Device mjpg img src Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Device (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Too Many Requests
        '302':
          description: Device mjpg img src Found
      tags:
      - devices
  /api/1/devices/{device_uuid}/mp4_video_src/:
    get:
      operationId: mp4VideoSrcDevice
      description: 'Return HTTP Redirect 302 with the URL to find the MP4 video src
        attribute for the camera feed.

        Device must be Active and Subscribed to allow this to work.'
      parameters:
      - name: device_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceForCustomerUser'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Device Unprocessable Entity
        '404':
          description: Device Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Device (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Too Many Requests
      tags:
      - devices
  /api/1/devices/{device_uuid}/snapshot_img/:
    get:
      operationId: snapshotImgDevice
      description: 'Obtain a recent device snapshot if possible, then return the snapshot

        as a http mime file for <img> embeds.

        If as_attachment parameter lower cased is one of ''1'', ''t'', ''true'', ''y'',
        ''yes''

        set header Content-Disposition: attachment otherwise Content-Disposition:
        inline

        Device must be Active and Subscribed to allow this to work.'
      parameters:
      - name: device_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      - name: as_attachment
        description: 'If as_attachment parameter lower cased is one of: ''1'', ''t'',
          ''true'', ''y'', ''yes''

          set header Content-Disposition: attachment otherwise Content-Disposition:
          inline'
        required: false
        schema:
          type: boolean
        in: query
      - name: camera
        description: camera to source the snapshot from. See Device.camera_choices
        required: false
        schema:
          type: integer
        in: query
      responses:
        '200':
          content:
            image/jpg:
              schema:
                type: string
                format: binary
          description: Device snapshot.jpg
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Device Unprocessable Entity
        '404':
          description: Device snapshot.jpg Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Device (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Too Many Requests
      tags:
      - devices
  /api/1/groups/:
    get:
      operationId: listGroups
      description: 'return paginated array of results.

        Default ordering: customer,order,name,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: name
        required: false
        in: query
        description: name
        schema:
          type: string
      - name: name__contains
        required: false
        in: query
        description: name__contains
        schema:
          type: string
      - name: group_uuid
        required: false
        in: query
        description: group_uuid
        schema:
          type: string
      - name: customer_uuid
        required: false
        in: query
        description: customer_uuid
        schema:
          type: string
      - name: device_uuid
        required: false
        in: query
        description: device_uuid
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of field: name'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: name,created,modified'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/GroupForCustomerUser'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Group Too Many Requests
      tags:
      - groups
  /api/1/groups/{group_uuid}/:
    get:
      operationId: retrieveGroup
      description: ''
      parameters:
      - name: group_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupForCustomerUser'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: Group Unprocessable Entity
        '404':
          description: Group Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: Group (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Group Too Many Requests
      tags:
      - groups
  /api/1/my-api-data/:
    get:
      operationId: listMyUserApiDatas
      description: 'return paginated array of results.

        Default ordering: user,key,pk'
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: api_data_uuid
        required: false
        in: query
        description: api_data_uuid
        schema:
          type: string
      - name: key
        required: false
        in: query
        description: key
        schema:
          type: string
      - name: search
        required: false
        in: query
        description: 'Case insensitive search of fields: key,json'
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: 'Results may be ordered by available fields: key,created,modified'
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserApiDataForUserSelf'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
    post:
      operationId: createMyUserApiData
      description: ''
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserApiDataForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Api Data Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
  /api/1/my-api-data/{api_data_uuid}/:
    get:
      operationId: retrieveMyUserApiData
      description: ''
      parameters:
      - name: api_data_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserApiDataForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Api Data Unprocessable Entity
        '404':
          description: User Api Data Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
    patch:
      operationId: partialUpdateMyUserApiData
      description: ''
      parameters:
      - name: api_data_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserApiDataForUserSelf'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserApiDataForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Api Data Unprocessable Entity
        '404':
          description: User Api Data Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
    delete:
      operationId: destroyMyUserApiData
      description: ''
      parameters:
      - name: api_data_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      responses:
        '204':
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Api Data Unprocessable Entity
        '404':
          description: User Api Data Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Api Data Too Many Requests
      tags:
      - my-api-data
  /api/1/my-user/:
    get:
      operationId: listMyUsers
      description: return paginated array of results.
      parameters:
      - name: page
        required: false
        in: query
        description: A page number within the paginated result set.
        schema:
          type: integer
      - name: page_size
        required: false
        in: query
        description: Number of results to return per page.
        schema:
          type: integer
      - name: search
        required: false
        in: query
        description: A search term.
        schema:
          type: string
      - name: ordering
        required: false
        in: query
        description: Which field to use when ordering the results.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    example: 123
                  next:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=4
                  previous:
                    type: string
                    nullable: true
                    format: uri
                    example: http://api.example.org/accounts/?page=2
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/UserForUserSelf'
                  page:
                    type: integer
                    example: 123
                  page_count:
                    type: integer
                    example: 123
          description: ''
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
  /api/1/my-user/{username}/:
    get:
      operationId: retrieveMyUser
      description: ''
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
    patch:
      operationId: partialUpdateMyUser
      description: ''
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserForUserSelf'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserForUserSelf'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserForUserSelf'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserForUserSelf'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: User Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
  /api/1/my-user/{username}/change_password/:
    get:
      operationId: changePasswordMyUserGet
      description: Attempt to change user password
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserActionChangePasswordGet'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: changePasswordMyUserGet Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
    patch:
      operationId: changePasswordMyUserPatch
      description: Attempt to change user password
      parameters:
      - name: username
        in: path
        required: true
        description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
          only.
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserActionChangePassword'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/UserActionChangePassword'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UserActionChangePassword'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserActionChangePassword'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: changePasswordMyUserPatch Unprocessable Entity
        '404':
          description: User Not Found
        '400':
          content:
            application/json:
              schema:
                type: object
          description: User (fields/parameters to messages) Bad Request
        '429':
          content:
            application/json:
              schema:
                type: object
          description: User Too Many Requests
      tags:
      - my-user
  /api/1/devices/{device_uuid}/set_recordings_acknowledged_true/:
    post:
      operationId: setRecordingsAcknowledgedTrueDevice
      description: 'Set Recordings for this device that have a start_time <= datetime(up_to_ts)

        to acknowledged=True and acknowledged_time=datetime(ack_ts)'
      parameters:
      - name: device_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      - name: up_to_start_ts
        description: 'max unix timestamp of the recordings to acknowledge. Obtain
          this from the last client obtained DeviceRecording.start_time so that we
          do not acknowledge recordings that have come in later than the ones seen
          by this client.

          Note: in javascript:

          const upToStartTs = (lastSeenRecording.start_time.getTime() / 1000);'
        required: true
        schema:
          type: float
        in: query
      - name: ack_ts
        description: 'unix timestamp to set the acknowledged_time as.

          This will not set acknowledged or acknowledged_time if the ack_ts is too
          far from now, or on recordings where acknowledged_time >= ack_ts

          Note: in javascript:

          const ts = (new Date()).getTime() / 1000);'
        required: true
        schema:
          type: float
        in: query
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviceActionSetRecordingAcknowledged'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DeviceActionSetRecordingAcknowledged'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DeviceActionSetRecordingAcknowledged'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceActionSetRecordingAcknowledged'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: setRecordingsAcknowledgedTrueDevice Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Too Many Requests
      tags:
      - devices
  /api/1/recordings/{recording_uuid}/set_acknowledged_false/:
    post:
      operationId: setAcknowledgedFalseDeviceRecording
      description: Set the `acknowledged` value to `false`
      parameters:
      - name: recording_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      - name: ts
        description: 'unix timestamp to set the acknowledged_time as.

          This will not set acknowledged or acknowledged_time if the timestamp is
          too far from now, but it will return a response with the unmodified acknowledged
          and acknowledged_time.

          Note: in javascript:

          const ts = (new Date()).getTime() / 1000);'
        required: true
        schema:
          type: float
        in: query
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviceRecordingActionSetAcknowledged'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DeviceRecordingActionSetAcknowledged'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DeviceRecordingActionSetAcknowledged'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceRecordingActionSetAcknowledged'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: setAcknowledgedFalseDeviceRecording Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Recording Too Many Requests
      tags:
      - recordings
  /api/1/recordings/{recording_uuid}/set_acknowledged_true/:
    post:
      operationId: setAcknowledgedTrueDeviceRecording
      description: Set the `acknowledged` value to `true`
      parameters:
      - name: recording_uuid
        in: path
        required: true
        description: ''
        schema:
          type: string
      - name: ts
        description: 'unix timestamp to set the acknowledged_time as.

          This will not set acknowledged or acknowledged_time if the timestamp is
          too far from now, but it will return a response with the unmodified acknowledged
          and acknowledged_time.

          Note: in javascript:

          const ts = (new Date()).getTime() / 1000);'
        required: true
        schema:
          type: float
        in: query
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviceRecordingActionSetAcknowledged'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DeviceRecordingActionSetAcknowledged'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DeviceRecordingActionSetAcknowledged'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceRecordingActionSetAcknowledged'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrors'
          description: setAcknowledgedTrueDeviceRecording Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                type: object
          description: Device Recording Too Many Requests
      tags:
      - recordings
components:
  schemas:
    SiteMapForCustomerUser:
      type: object
      properties:
        sitemap_url:
          type: string
          readOnly: true
        sitemap_uuid:
          type: string
          format: uuid
          readOnly: true
        address_url:
          type: string
          readOnly: true
        address_uuid:
          type: string
          format: uuid
          readOnly: true
        default_sitemap:
          type: boolean
          readOnly: true
        devices:
          type: array
          items:
            type: object
            properties:
              device_url:
                type: string
                readOnly: true
              device_uuid:
                type: string
                format: uuid
                readOnly: true
              address_uuid:
                type: string
                format: uuid
                readOnly: true
              allowed_device_type:
                enum:
                - single
                - dual
                - quad
                - max
                type: string
                readOnly: true
              camera_choices:
                type: array
                items:
                  type: array
                  items:
                    type: string
                readOnly: true
              camera_default:
                enum:
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
                - 7
                - 8
                - 9
                - 10
                - 11
                - 12
                - 13
                - 14
                - 15
                - 16
                - 0
                type: integer
                readOnly: true
              device_type:
                enum:
                - single
                - dual
                - quad
                - max
                type: string
                readOnly: true
              is_active:
                type: boolean
                readOnly: true
              is_subscribed:
                type: boolean
                readOnly: true
              last_connected:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              lat:
                type: number
                readOnly: true
              lon:
                type: number
                readOnly: true
              mac:
                type: string
                readOnly: true
                description: MAC Address
              name:
                type: string
                readOnly: true
              sitemap_bearing:
                type: number
                readOnly: true
                nullable: true
              sitemap_uuid:
                type: string
                format: uuid
                readOnly: true
              sitemap_x_fraction:
                type: number
                readOnly: true
                nullable: true
              sitemap_y_fraction:
                type: number
                readOnly: true
                nullable: true
              status:
                enum:
                - ok
                - offline
                type: string
                readOnly: true
              sync_device_recordings:
                type: boolean
                readOnly: true
                description: Copy to Cloud if Storage Subscribed
              username:
                type: string
                readOnly: true
                nullable: true
          readOnly: true
        image_map:
          type: string
          format: binary
          description: PATCH/POST=(application/json 'data:image/*;base64,...=' URI
            or multipart/form-data); GET applcation/json image_map_url
        image_map_x:
          type: integer
          readOnly: true
        image_map_y:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        order:
          type: integer
          readOnly: true
          description: Site Map Order within Address, smaller is first
    ApiErrors:
      type: object
      properties:
        errors:
          type: object
          description: Mapping fields/parameters to error(s) [could be list or string]
        inputs:
          type: object
          description: Input data (only available on dev systems for some operations)
      required:
      - errors
    AddressForCustomerUser:
      type: object
      properties:
        address_url:
          type: string
          readOnly: true
        address_uuid:
          type: string
          format: uuid
          readOnly: true
        customer_url:
          type: string
          readOnly: true
        customer_uuid:
          type: string
          format: uuid
          readOnly: true
        address:
          type: string
          readOnly: true
        default_location:
          type: boolean
          readOnly: true
        devices_count:
          type: integer
          readOnly: true
        lat:
          type: number
          readOnly: true
        lon:
          type: number
          readOnly: true
        name:
          type: string
          readOnly: true
        sitemaps:
          type: array
          items:
            type: object
            properties:
              sitemap_url:
                type: string
                readOnly: true
              sitemap_uuid:
                type: string
                format: uuid
                readOnly: true
              address_url:
                type: string
                readOnly: true
              address_uuid:
                type: string
                format: uuid
                readOnly: true
              default_sitemap:
                type: boolean
                readOnly: true
              devices:
                type: array
                items:
                  type: object
                  properties:
                    device_url:
                      type: string
                      readOnly: true
                    device_uuid:
                      type: string
                      format: uuid
                      readOnly: true
                    address_uuid:
                      type: string
                      format: uuid
                      readOnly: true
                    allowed_device_type:
                      enum:
                      - single
                      - dual
                      - quad
                      - max
                      type: string
                      readOnly: true
                    camera_choices:
                      type: array
                      items:
                        type: array
                        items:
                          type: string
                      readOnly: true
                    camera_default:
                      enum:
                      - 1
                      - 2
                      - 3
                      - 4
                      - 5
                      - 6
                      - 7
                      - 8
                      - 9
                      - 10
                      - 11
                      - 12
                      - 13
                      - 14
                      - 15
                      - 16
                      - 0
                      type: integer
                      readOnly: true
                    device_type:
                      enum:
                      - single
                      - dual
                      - quad
                      - max
                      type: string
                      readOnly: true
                    is_active:
                      type: boolean
                      readOnly: true
                    is_subscribed:
                      type: boolean
                      readOnly: true
                    last_connected:
                      type: string
                      format: date-time
                      readOnly: true
                      nullable: true
                    lat:
                      type: number
                      readOnly: true
                    lon:
                      type: number
                      readOnly: true
                    mac:
                      type: string
                      readOnly: true
                      description: MAC Address
                    name:
                      type: string
                      readOnly: true
                    sitemap_bearing:
                      type: number
                      readOnly: true
                      nullable: true
                    sitemap_uuid:
                      type: string
                      format: uuid
                      readOnly: true
                    sitemap_x_fraction:
                      type: number
                      readOnly: true
                      nullable: true
                    sitemap_y_fraction:
                      type: number
                      readOnly: true
                      nullable: true
                    status:
                      enum:
                      - ok
                      - offline
                      type: string
                      readOnly: true
                    sync_device_recordings:
                      type: boolean
                      readOnly: true
                      description: Copy to Cloud if Storage Subscribed
                    username:
                      type: string
                      readOnly: true
                      nullable: true
                readOnly: true
              image_map:
                type: string
                format: binary
                description: PATCH/POST=(application/json 'data:image/*;base64,...='
                  URI or multipart/form-data); GET applcation/json image_map_url
              image_map_x:
                type: integer
                readOnly: true
              image_map_y:
                type: integer
                readOnly: true
              name:
                type: string
                readOnly: true
              order:
                type: integer
                readOnly: true
                description: Site Map Order within Address, smaller is first
          readOnly: true
        sitemaps_count:
          type: string
          readOnly: true
        sitemaps_url:
          type: string
          readOnly: true
    CustomerForCustomerUser:
      type: object
      properties:
        customer_url:
          type: string
          readOnly: true
        customer_uuid:
          type: string
          format: uuid
          readOnly: true
        abn:
          type: string
          readOnly: true
        addresses:
          type: array
          items:
            type: object
            properties:
              address_url:
                type: string
                readOnly: true
              address_uuid:
                type: string
                format: uuid
                readOnly: true
              address:
                type: string
                readOnly: true
              default_location:
                type: boolean
                readOnly: true
              devices_count:
                type: integer
                readOnly: true
              lat:
                type: number
                readOnly: true
              lon:
                type: number
                readOnly: true
              name:
                type: string
                readOnly: true
              sitemaps_count:
                type: integer
                readOnly: true
              sitemaps_url:
                type: string
                readOnly: true
          readOnly: true
        devices_recordings_unacknowledged_url:
          type: string
          readOnly: true
        devices_recordings_url:
          type: string
          readOnly: true
        devices_url:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        timezone:
          enum:
          - Etc/GMT+12
          - Etc/GMT+11
          - Pacific/Midway
          - Pacific/Niue
          - Pacific/Pago_Pago
          - Pacific/Samoa
          - US/Samoa
          - America/Adak
          - America/Atka
          - Etc/GMT+10
          - HST
          - Pacific/Honolulu
          - Pacific/Johnston
          - Pacific/Rarotonga
          - Pacific/Tahiti
          - US/Aleutian
          - US/Hawaii
          - Pacific/Marquesas
          - America/Anchorage
          - America/Juneau
          - America/Metlakatla
          - America/Nome
          - America/Sitka
          - America/Yakutat
          - Etc/GMT+9
          - Pacific/Gambier
          - US/Alaska
          - America/Ensenada
          - America/Los_Angeles
          - America/Santa_Isabel
          - America/Tijuana
          - America/Vancouver
          - Canada/Pacific
          - Etc/GMT+8
          - Mexico/BajaNorte
          - PST8PDT
          - Pacific/Pitcairn
          - US/Pacific
          - America/Boise
          - America/Cambridge_Bay
          - America/Ciudad_Juarez
          - America/Creston
          - America/Dawson
          - America/Dawson_Creek
          - America/Denver
          - America/Edmonton
          - America/Fort_Nelson
          - America/Hermosillo
          - America/Inuvik
          - America/Mazatlan
          - America/Phoenix
          - America/Shiprock
          - America/Whitehorse
          - America/Yellowknife
          - Canada/Mountain
          - Canada/Yukon
          - Etc/GMT+7
          - MST
          - MST7MDT
          - Mexico/BajaSur
          - Navajo
          - US/Arizona
          - US/Mountain
          - America/Bahia_Banderas
          - America/Belize
          - America/Chicago
          - America/Chihuahua
          - America/Costa_Rica
          - America/El_Salvador
          - America/Guatemala
          - America/Indiana/Knox
          - America/Indiana/Tell_City
          - America/Knox_IN
          - America/Managua
          - America/Matamoros
          - America/Menominee
          - America/Merida
          - America/Mexico_City
          - America/Monterrey
          - America/North_Dakota/Beulah
          - America/North_Dakota/Center
          - America/North_Dakota/New_Salem
          - America/Ojinaga
          - America/Rainy_River
          - America/Rankin_Inlet
          - America/Regina
          - America/Resolute
          - America/Swift_Current
          - America/Tegucigalpa
          - America/Winnipeg
          - CST6CDT
          - Canada/Central
          - Canada/Saskatchewan
          - Etc/GMT+6
          - Mexico/General
          - Pacific/Galapagos
          - US/Central
          - US/Indiana-Starke
          - America/Atikokan
          - America/Bogota
          - America/Cancun
          - America/Cayman
          - America/Coral_Harbour
          - America/Detroit
          - America/Eirunepe
          - America/Fort_Wayne
          - America/Grand_Turk
          - America/Guayaquil
          - America/Havana
          - America/Indiana/Indianapolis
          - America/Indiana/Marengo
          - America/Indiana/Petersburg
          - America/Indiana/Vevay
          - America/Indiana/Vincennes
          - America/Indiana/Winamac
          - America/Indianapolis
          - America/Iqaluit
          - America/Jamaica
          - America/Kentucky/Louisville
          - America/Kentucky/Monticello
          - America/Lima
          - America/Louisville
          - America/Montreal
          - America/Nassau
          - America/New_York
          - America/Nipigon
          - America/Panama
          - America/Pangnirtung
          - America/Port-au-Prince
          - America/Porto_Acre
          - America/Rio_Branco
          - America/Thunder_Bay
          - America/Toronto
          - Brazil/Acre
          - Canada/Eastern
          - Chile/EasterIsland
          - Cuba
          - EST
          - EST5EDT
          - Etc/GMT+5
          - Jamaica
          - Pacific/Easter
          - US/East-Indiana
          - US/Eastern
          - US/Michigan
          - America/Anguilla
          - America/Antigua
          - America/Aruba
          - America/Barbados
          - America/Blanc-Sablon
          - America/Boa_Vista
          - America/Campo_Grande
          - America/Caracas
          - America/Cuiaba
          - America/Curacao
          - America/Dominica
          - America/Glace_Bay
          - America/Goose_Bay
          - America/Grenada
          - America/Guadeloupe
          - America/Guyana
          - America/Halifax
          - America/Kralendijk
          - America/La_Paz
          - America/Lower_Princes
          - America/Manaus
          - America/Marigot
          - America/Martinique
          - America/Moncton
          - America/Montserrat
          - America/Port_of_Spain
          - America/Porto_Velho
          - America/Puerto_Rico
          - America/Santo_Domingo
          - America/St_Barthelemy
          - America/St_Kitts
          - America/St_Lucia
          - America/St_Thomas
          - America/St_Vincent
          - America/Thule
          - America/Tortola
          - America/Virgin
          - Atlantic/Bermuda
          - Brazil/West
          - Canada/Atlantic
          - Etc/GMT+4
          - America/St_Johns
          - Canada/Newfoundland
          - America/Araguaina
          - America/Argentina/Buenos_Aires
          - America/Argentina/Catamarca
          - America/Argentina/ComodRivadavia
          - America/Argentina/Cordoba
          - America/Argentina/Jujuy
          - America/Argentina/La_Rioja
          - America/Argentina/Mendoza
          - America/Argentina/Rio_Gallegos
          - America/Argentina/Salta
          - America/Argentina/San_Juan
          - America/Argentina/San_Luis
          - America/Argentina/Tucuman
          - America/Argentina/Ushuaia
          - America/Asuncion
          - America/Bahia
          - America/Belem
          - America/Buenos_Aires
          - America/Catamarca
          - America/Cayenne
          - America/Cordoba
          - America/Fortaleza
          - America/Jujuy
          - America/Maceio
          - America/Mendoza
          - America/Miquelon
          - America/Montevideo
          - America/Paramaribo
          - America/Punta_Arenas
          - America/Recife
          - America/Rosario
          - America/Santarem
          - America/Santiago
          - America/Sao_Paulo
          - Antarctica/Palmer
          - Antarctica/Rothera
          - Atlantic/Stanley
          - Brazil/East
          - Chile/Continental
          - Etc/GMT+3
          - America/Godthab
          - America/Noronha
          - America/Nuuk
          - Atlantic/South_Georgia
          - Brazil/DeNoronha
          - Etc/GMT+2
          - America/Scoresbysund
          - Atlantic/Azores
          - Atlantic/Cape_Verde
          - Etc/GMT+1
          - Africa/Abidjan
          - Africa/Accra
          - Africa/Bamako
          - Africa/Banjul
          - Africa/Bissau
          - Africa/Conakry
          - Africa/Dakar
          - Africa/Freetown
          - Africa/Lome
          - Africa/Monrovia
          - Africa/Nouakchott
          - Africa/Ouagadougou
          - Africa/Sao_Tome
          - Africa/Timbuktu
          - America/Danmarkshavn
          - Antarctica/Troll
          - Atlantic/Canary
          - Atlantic/Faeroe
          - Atlantic/Faroe
          - Atlantic/Madeira
          - Atlantic/Reykjavik
          - Atlantic/St_Helena
          - Eire
          - Etc/GMT
          - Etc/GMT+0
          - Etc/GMT-0
          - Etc/GMT0
          - Etc/Greenwich
          - Etc/UCT
          - Etc/UTC
          - Etc/Universal
          - Etc/Zulu
          - Europe/Belfast
          - Europe/Dublin
          - Europe/Guernsey
          - Europe/Isle_of_Man
          - Europe/Jersey
          - Europe/Lisbon
          - Europe/London
          - Factory
          - GB
          - GB-Eire
          - GMT
          - GMT+0
          - GMT-0
          - GMT0
          - Greenwich
          - Iceland
          - Portugal
          - UCT
          - UTC
          - Universal
          - WET
          - Zulu
          - localtime
          - Africa/Algiers
          - Africa/Bangui
          - Africa/Brazzaville
          - Africa/Casablanca
          - Africa/Ceuta
          - Africa/Douala
          - Africa/El_Aaiun
          - Africa/Kinshasa
          - Africa/Lagos
          - Africa/Libreville
          - Africa/Luanda
          - Africa/Malabo
          - Africa/Ndjamena
          - Africa/Niamey
          - Africa/Porto-Novo
          - Africa/Tunis
          - Arctic/Longyearbyen
          - Atlantic/Jan_Mayen
          - CET
          - Etc/GMT-1
          - Europe/Amsterdam
          - Europe/Andorra
          - Europe/Belgrade
          - Europe/Berlin
          - Europe/Bratislava
          - Europe/Brussels
          - Europe/Budapest
          - Europe/Busingen
          - Europe/Copenhagen
          - Europe/Gibraltar
          - Europe/Ljubljana
          - Europe/Luxembourg
          - Europe/Madrid
          - Europe/Malta
          - Europe/Monaco
          - Europe/Oslo
          - Europe/Paris
          - Europe/Podgorica
          - Europe/Prague
          - Europe/Rome
          - Europe/San_Marino
          - Europe/Sarajevo
          - Europe/Skopje
          - Europe/Stockholm
          - Europe/Tirane
          - Europe/Vaduz
          - Europe/Vatican
          - Europe/Vienna
          - Europe/Warsaw
          - Europe/Zagreb
          - Europe/Zurich
          - MET
          - Poland
          - Africa/Blantyre
          - Africa/Bujumbura
          - Africa/Cairo
          - Africa/Gaborone
          - Africa/Harare
          - Africa/Johannesburg
          - Africa/Juba
          - Africa/Khartoum
          - Africa/Kigali
          - Africa/Lubumbashi
          - Africa/Lusaka
          - Africa/Maputo
          - Africa/Maseru
          - Africa/Mbabane
          - Africa/Tripoli
          - Africa/Windhoek
          - Asia/Beirut
          - Asia/Famagusta
          - Asia/Gaza
          - Asia/Hebron
          - Asia/Jerusalem
          - Asia/Nicosia
          - Asia/Tel_Aviv
          - EET
          - Egypt
          - Etc/GMT-2
          - Europe/Athens
          - Europe/Bucharest
          - Europe/Chisinau
          - Europe/Helsinki
          - Europe/Kaliningrad
          - Europe/Kiev
          - Europe/Kyiv
          - Europe/Mariehamn
          - Europe/Nicosia
          - Europe/Riga
          - Europe/Sofia
          - Europe/Tallinn
          - Europe/Tiraspol
          - Europe/Uzhgorod
          - Europe/Vilnius
          - Europe/Zaporozhye
          - Israel
          - Libya
          - Africa/Addis_Ababa
          - Africa/Asmara
          - Africa/Asmera
          - Africa/Dar_es_Salaam
          - Africa/Djibouti
          - Africa/Kampala
          - Africa/Mogadishu
          - Africa/Nairobi
          - Antarctica/Syowa
          - Asia/Aden
          - Asia/Amman
          - Asia/Baghdad
          - Asia/Bahrain
          - Asia/Damascus
          - Asia/Istanbul
          - Asia/Kuwait
          - Asia/Qatar
          - Asia/Riyadh
          - Etc/GMT-3
          - Europe/Istanbul
          - Europe/Kirov
          - Europe/Minsk
          - Europe/Moscow
          - Europe/Simferopol
          - Europe/Volgograd
          - Indian/Antananarivo
          - Indian/Comoro
          - Indian/Mayotte
          - Turkey
          - W-SU
          - Asia/Tehran
          - Iran
          - Asia/Baku
          - Asia/Dubai
          - Asia/Muscat
          - Asia/Tbilisi
          - Asia/Yerevan
          - Etc/GMT-4
          - Europe/Astrakhan
          - Europe/Samara
          - Europe/Saratov
          - Europe/Ulyanovsk
          - Indian/Mahe
          - Indian/Mauritius
          - Indian/Reunion
          - Asia/Kabul
          - Antarctica/Mawson
          - Asia/Aqtau
          - Asia/Aqtobe
          - Asia/Ashgabat
          - Asia/Ashkhabad
          - Asia/Atyrau
          - Asia/Dushanbe
          - Asia/Karachi
          - Asia/Oral
          - Asia/Qyzylorda
          - Asia/Samarkand
          - Asia/Tashkent
          - Asia/Yekaterinburg
          - Etc/GMT-5
          - Indian/Kerguelen
          - Indian/Maldives
          - Asia/Calcutta
          - Asia/Colombo
          - Asia/Kolkata
          - Asia/Kathmandu
          - Asia/Katmandu
          - Antarctica/Vostok
          - Asia/Almaty
          - Asia/Bishkek
          - Asia/Dacca
          - Asia/Dhaka
          - Asia/Kashgar
          - Asia/Omsk
          - Asia/Qostanay
          - Asia/Thimbu
          - Asia/Thimphu
          - Asia/Urumqi
          - Etc/GMT-6
          - Indian/Chagos
          - Asia/Rangoon
          - Asia/Yangon
          - Indian/Cocos
          - Antarctica/Davis
          - Asia/Bangkok
          - Asia/Barnaul
          - Asia/Ho_Chi_Minh
          - Asia/Hovd
          - Asia/Jakarta
          - Asia/Krasnoyarsk
          - Asia/Novokuznetsk
          - Asia/Novosibirsk
          - Asia/Phnom_Penh
          - Asia/Pontianak
          - Asia/Saigon
          - Asia/Tomsk
          - Asia/Vientiane
          - Etc/GMT-7
          - Indian/Christmas
          - Asia/Brunei
          - Asia/Choibalsan
          - Asia/Chongqing
          - Asia/Chungking
          - Asia/Harbin
          - Asia/Hong_Kong
          - Asia/Irkutsk
          - Asia/Kuala_Lumpur
          - Asia/Kuching
          - Asia/Macao
          - Asia/Macau
          - Asia/Makassar
          - Asia/Manila
          - Asia/Shanghai
          - Asia/Singapore
          - Asia/Taipei
          - Asia/Ujung_Pandang
          - Asia/Ulaanbaatar
          - Asia/Ulan_Bator
          - Australia/Perth
          - Australia/West
          - Etc/GMT-8
          - Hongkong
          - PRC
          - ROC
          - Singapore
          - Australia/Eucla
          - Asia/Chita
          - Asia/Dili
          - Asia/Jayapura
          - Asia/Khandyga
          - Asia/Pyongyang
          - Asia/Seoul
          - Asia/Tokyo
          - Asia/Yakutsk
          - Etc/GMT-9
          - Japan
          - Pacific/Palau
          - ROK
          - Australia/Darwin
          - Australia/North
          - Antarctica/DumontDUrville
          - Asia/Ust-Nera
          - Asia/Vladivostok
          - Australia/Brisbane
          - Australia/Lindeman
          - Australia/Queensland
          - Etc/GMT-10
          - Pacific/Chuuk
          - Pacific/Guam
          - Pacific/Port_Moresby
          - Pacific/Saipan
          - Pacific/Truk
          - Pacific/Yap
          - Australia/Adelaide
          - Australia/Broken_Hill
          - Australia/South
          - Australia/Yancowinna
          - Antarctica/Casey
          - Antarctica/Macquarie
          - Asia/Magadan
          - Asia/Sakhalin
          - Asia/Srednekolymsk
          - Australia/ACT
          - Australia/Canberra
          - Australia/Currie
          - Australia/Hobart
          - Australia/LHI
          - Australia/Lord_Howe
          - Australia/Melbourne
          - Australia/NSW
          - Australia/Sydney
          - Australia/Tasmania
          - Australia/Victoria
          - Etc/GMT-11
          - Pacific/Bougainville
          - Pacific/Efate
          - Pacific/Guadalcanal
          - Pacific/Kosrae
          - Pacific/Noumea
          - Pacific/Pohnpei
          - Pacific/Ponape
          - Asia/Anadyr
          - Asia/Kamchatka
          - Etc/GMT-12
          - Kwajalein
          - Pacific/Fiji
          - Pacific/Funafuti
          - Pacific/Kwajalein
          - Pacific/Majuro
          - Pacific/Nauru
          - Pacific/Norfolk
          - Pacific/Tarawa
          - Pacific/Wake
          - Pacific/Wallis
          - Antarctica/McMurdo
          - Antarctica/South_Pole
          - Etc/GMT-13
          - NZ
          - Pacific/Apia
          - Pacific/Auckland
          - Pacific/Enderbury
          - Pacific/Fakaofo
          - Pacific/Kanton
          - Pacific/Tongatapu
          - NZ-CHAT
          - Pacific/Chatham
          - Etc/GMT-14
          - Pacific/Kiritimati
          type: string
          default: Australia/Melbourne
      required:
      - timezone
    MultipleSummaryReports:
      type: object
      properties:
        summary_reports:
          type: array
          items:
            type: object
            properties:
              report_url:
                type: string
                format: uri
                description: Report URL
                pattern: "^(?:[a-z0-9.+-]*)://(?:[^\\s:@/]+(?::[^\\s:@/]*)?@)?(?:(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)(?:\\\
                  .(?:0|25[0-5]|2[0-4][0-9]|1[0-9]?[0-9]?|[1-9][0-9]?)){3}|\\[[0-9a-f:.]+\\\
                  ]|([a-z\xA1-\uFFFF0-9](?:[a-z\xA1-\uFFFF0-9-]{0,61}[a-z\xA1-\uFFFF\
                  0-9])?(?:\\.(?!-)[a-z\xA1-\uFFFF0-9-]{1,63}(?<!-))*\\.(?!-)(?:[a-z\xA1\
                  -\uFFFF-]{2,63}|xn--[a-z0-9]{1,59})(?<!-)\\.?|localhost))(?::[0-9]{1,5})?(?:[/?#][^\\\
                  s]*)?\\z"
              as_at_datetime:
                type: string
                format: date-time
                description: Generated at
              description:
                type: string
                description: Description
              metadata:
                type: object
                description: Extra metadata - information may be different for each
                  report
              header_rows:
                type: array
                items:
                  type: integer
                description: row numbers (1 is first) of rows which are headers
              header_columns:
                type: array
                items:
                  type: integer
                description: column numbers (1 is first) of columns which are headers
              rows:
                type: array
                items:
                  type: array
                  items:
                    type: string
                description: Array of Report Rows (each Row is an Array of Column
                  text)
            required:
            - report_url
            - as_at_datetime
            - description
            - metadata
            - header_rows
            - header_columns
            - rows
      required:
      - summary_reports
    DeviceForCustomerUser:
      type: object
      properties:
        device_url:
          type: string
          readOnly: true
        device_uuid:
          type: string
          format: uuid
          readOnly: true
        address_name:
          type: string
          readOnly: true
        address_uuid:
          type: string
          format: uuid
          readOnly: true
        allowed_device_type:
          enum:
          - single
          - dual
          - quad
          - max
          type: string
          readOnly: true
        camera_choices:
          type: array
          items:
            type: array
            items:
              type: string
          readOnly: true
        camera_default:
          enum:
          - 1
          - 2
          - 3
          - 4
          - 5
          - 6
          - 7
          - 8
          - 9
          - 10
          - 11
          - 12
          - 13
          - 14
          - 15
          - 16
          - 0
          type: integer
          readOnly: true
        card_bs_color:
          type: string
          readOnly: true
        card_bs_extra:
          type: string
          readOnly: true
        card_bs_icon:
          type: string
          readOnly: true
        customer_url:
          type: string
          readOnly: true
        customer_uuid:
          type: string
          readOnly: true
        device_bootstrap_class:
          type: string
          readOnly: true
        device_bootstrap_icon:
          type: string
          readOnly: true
        device_connection_error:
          type: string
          readOnly: true
        device_description:
          type: string
          readOnly: true
        device_type:
          enum:
          - single
          - dual
          - quad
          - max
          type: string
          readOnly: true
        groups:
          type: array
          items:
            type: object
            properties:
              group_url:
                type: string
                readOnly: true
              group_uuid:
                type: string
                format: uuid
                readOnly: true
              name:
                type: string
                readOnly: true
              order:
                type: integer
                readOnly: true
                description: Group Order within Customer, smaller is first
              per_page:
                enum:
                - 2
                - 4
                - 6
                - 8
                type: integer
                readOnly: true
                description: How many Devices to Display on Live Group View
          readOnly: true
        is_active:
          type: boolean
          readOnly: true
        is_subscribed:
          type: boolean
          readOnly: true
        last_connected:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        lat:
          type: number
          maximum: 90
          minimum: -90
          default: 0
          nullable: true
          description: latitude
        lon:
          type: number
          maximum: 180
          minimum: -180
          default: 0
          nullable: true
          description: longitude
        mac:
          type: string
          readOnly: true
          description: MAC Address
        name:
          type: string
          readOnly: true
        recordings_unacknowledged_url:
          type: string
          readOnly: true
        recordings_url:
          type: string
          readOnly: true
        sitemap:
          type: object
          properties:
            sitemap_url:
              type: string
              readOnly: true
            sitemap_uuid:
              type: string
              format: uuid
              readOnly: true
            address_uuid:
              type: string
              format: uuid
              readOnly: true
            default_sitemap:
              type: boolean
              readOnly: true
            devices_count:
              type: integer
              readOnly: true
            devices_url:
              type: string
              readOnly: true
            image_map:
              type: string
              format: binary
              readOnly: true
              nullable: true
            image_map_x:
              type: integer
              readOnly: true
            image_map_y:
              type: integer
              readOnly: true
            name:
              type: string
              readOnly: true
            order:
              type: integer
              readOnly: true
              description: Site Map Order within Address, smaller is first
          readOnly: true
        sitemap_bearing:
          type: number
          default: 45.0
          description: bearing
        sitemap_x_fraction:
          type: number
          maximum: 1.0
          default: 0.5
          description: x fraction
          minimum: 0.0
        sitemap_y_fraction:
          type: number
          maximum: 1.0
          default: 0.5
          description: y fraction
          minimum: 0.0
        status:
          enum:
          - ok
          - offline
          type: string
          readOnly: true
        subscription_bootstrap_class:
          type: string
          readOnly: true
        subscription_bootstrap_icon:
          type: string
          readOnly: true
        subscription_description:
          type: string
          readOnly: true
        sync_device_recordings:
          type: boolean
          readOnly: true
          description: Copy to Cloud if Storage Subscribed
        username:
          type: string
          readOnly: true
          nullable: true
    GroupForCustomerUser:
      type: object
      properties:
        group_url:
          type: string
          readOnly: true
        group_uuid:
          type: string
          format: uuid
          readOnly: true
        customer_url:
          type: string
          readOnly: true
        customer_uuid:
          type: string
          readOnly: true
        devices:
          type: array
          items:
            type: object
            properties:
              device_url:
                type: string
                readOnly: true
              device_uuid:
                type: string
                format: uuid
                readOnly: true
              address_uuid:
                type: string
                format: uuid
                readOnly: true
              allowed_device_type:
                enum:
                - single
                - dual
                - quad
                - max
                type: string
                readOnly: true
              camera_choices:
                type: array
                items:
                  type: array
                  items:
                    type: string
                readOnly: true
              camera_default:
                enum:
                - 1
                - 2
                - 3
                - 4
                - 5
                - 6
                - 7
                - 8
                - 9
                - 10
                - 11
                - 12
                - 13
                - 14
                - 15
                - 16
                - 0
                type: integer
                readOnly: true
              device_type:
                enum:
                - single
                - dual
                - quad
                - max
                type: string
                readOnly: true
              is_active:
                type: boolean
                readOnly: true
              is_subscribed:
                type: boolean
                readOnly: true
              last_connected:
                type: string
                format: date-time
                readOnly: true
                nullable: true
              lat:
                type: number
                readOnly: true
              lon:
                type: number
                readOnly: true
              mac:
                type: string
                readOnly: true
                description: MAC Address
              name:
                type: string
                readOnly: true
              sitemap_bearing:
                type: number
                readOnly: true
                nullable: true
              sitemap_uuid:
                type: string
                format: uuid
                readOnly: true
              sitemap_x_fraction:
                type: number
                readOnly: true
                nullable: true
              sitemap_y_fraction:
                type: number
                readOnly: true
                nullable: true
              status:
                enum:
                - ok
                - offline
                type: string
                readOnly: true
              sync_device_recordings:
                type: boolean
                readOnly: true
                description: Copy to Cloud if Storage Subscribed
              username:
                type: string
                readOnly: true
                nullable: true
          readOnly: true
        group_devices:
          type: array
          items:
            type: object
            properties:
              group_device_url:
                type: string
                readOnly: true
              group_device_uuid:
                type: string
                format: uuid
                readOnly: true
              device_uuid:
                type: string
                format: uuid
                readOnly: true
              order:
                type: integer
                readOnly: true
                description: Device Order within Group, smaller is first
        name:
          type: string
          readOnly: true
        order:
          type: integer
          readOnly: true
          description: Group Order within Customer, smaller is first
        per_page:
          enum:
          - 2
          - 4
          - 6
          - 8
          type: integer
          readOnly: true
          description: How many Devices to Display on Live Group View
    UserApiDataForUserSelf:
      type: object
      properties:
        my_api_data_url:
          type: string
          readOnly: true
        api_data_uuid:
          type: string
          format: uuid
          readOnly: true
        created:
          type: string
          format: date-time
          readOnly: true
        modified:
          type: string
          format: date-time
          readOnly: true
        username:
          type: string
          readOnly: true
        json:
          type: object
          default: {}
        key:
          type: string
          pattern: ^[-a-zA-Z0-9_]+\z
          minLength: 1
          maxLength: 100
      required:
      - json
      - key
    UserForUserSelf:
      type: object
      properties:
        my_user_url:
          type: string
          readOnly: true
        username:
          type: string
          readOnly: true
          description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
        api_data:
          type: array
          items:
            type: object
            properties:
              my_api_data_url:
                type: string
                readOnly: true
              api_data_uuid:
                type: string
                format: uuid
                readOnly: true
              created:
                type: string
                format: date-time
                readOnly: true
              modified:
                type: string
                format: date-time
                readOnly: true
              username:
                type: string
                readOnly: true
              json:
                type: object
              key:
                type: string
                pattern: ^[-a-zA-Z0-9_]+\z
                minLength: 1
                maxLength: 100
            required:
            - json
            - key
          readOnly: true
        customer_profile:
          type: object
          properties:
            addresses:
              type: array
              items:
                type: object
                properties:
                  address_uuid:
                    type: string
                    format: uuid
                  address_url:
                    type: string
                    readOnly: true
                  address:
                    type: string
                    readOnly: true
                  default_location:
                    type: boolean
                    readOnly: true
                  lat:
                    type: number
                    readOnly: true
                  lon:
                    type: number
                    readOnly: true
                  name:
                    type: string
                    readOnly: true
                  sitemaps_url:
                    type: string
                    readOnly: true
                required:
                - address_uuid
            is_customer_admin:
              type: boolean
              readOnly: true
            is_customer_user_admin:
              type: boolean
              readOnly: true
            role:
              enum:
              - enterprise_admin
              - enterprise_super_user
              - enterprise_user
              - multi_site_admin
              - multi_site_super_user
              - multi_site_user
              - single_site_admin
              - single_site_super_user
              - single_site_user
              type: string
              readOnly: true
            role_addresses:
              type: array
              items:
                type: object
                properties:
                  address_url:
                    type: string
                    readOnly: true
                  address_uuid:
                    type: string
                    format: uuid
                    readOnly: true
                  address:
                    type: string
                    readOnly: true
                  default_location:
                    type: boolean
                    readOnly: true
                  devices_count:
                    type: integer
                    readOnly: true
                  lat:
                    type: number
                    readOnly: true
                  lon:
                    type: number
                    readOnly: true
                  name:
                    type: string
                    readOnly: true
                  sitemaps_count:
                    type: integer
                    readOnly: true
                  sitemaps_url:
                    type: string
                    readOnly: true
              readOnly: true
            role_priority:
              type: integer
              readOnly: true
          readOnly: true
        customer_url:
          type: string
          readOnly: true
        customer_uuid:
          type: string
          format: uuid
          readOnly: true
        distributor_profile:
          type: object
          properties:
            is_distributor_admin:
              type: boolean
              readOnly: true
          readOnly: true
        distributor_url:
          type: string
          readOnly: true
        distributor_uuid:
          type: string
          format: uuid
          readOnly: true
        email:
          type: string
          format: email
          maxLength: 254
          minLength: 3
        is_active:
          type: boolean
          readOnly: true
          description: Designates whether this user should be treated as active. Unselect
            this instead of deleting accounts.
        is_superuser:
          type: boolean
          readOnly: true
          description: Designates that this user has all permissions without explicitly
            assigning them.
        last_login:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        my_api_data_url:
          type: string
          readOnly: true
        seller_profile:
          type: object
          properties:
            is_seller_admin:
              type: boolean
              readOnly: true
          readOnly: true
        seller_url:
          type: string
          readOnly: true
        seller_uuid:
          type: string
          format: uuid
          readOnly: true
        tz:
          enum:
          - Etc/GMT+12
          - Etc/GMT+11
          - Pacific/Midway
          - Pacific/Niue
          - Pacific/Pago_Pago
          - Pacific/Samoa
          - US/Samoa
          - America/Adak
          - America/Atka
          - Etc/GMT+10
          - HST
          - Pacific/Honolulu
          - Pacific/Johnston
          - Pacific/Rarotonga
          - Pacific/Tahiti
          - US/Aleutian
          - US/Hawaii
          - Pacific/Marquesas
          - America/Anchorage
          - America/Juneau
          - America/Metlakatla
          - America/Nome
          - America/Sitka
          - America/Yakutat
          - Etc/GMT+9
          - Pacific/Gambier
          - US/Alaska
          - America/Ensenada
          - America/Los_Angeles
          - America/Santa_Isabel
          - America/Tijuana
          - America/Vancouver
          - Canada/Pacific
          - Etc/GMT+8
          - Mexico/BajaNorte
          - PST8PDT
          - Pacific/Pitcairn
          - US/Pacific
          - America/Boise
          - America/Cambridge_Bay
          - America/Ciudad_Juarez
          - America/Creston
          - America/Dawson
          - America/Dawson_Creek
          - America/Denver
          - America/Edmonton
          - America/Fort_Nelson
          - America/Hermosillo
          - America/Inuvik
          - America/Mazatlan
          - America/Phoenix
          - America/Shiprock
          - America/Whitehorse
          - America/Yellowknife
          - Canada/Mountain
          - Canada/Yukon
          - Etc/GMT+7
          - MST
          - MST7MDT
          - Mexico/BajaSur
          - Navajo
          - US/Arizona
          - US/Mountain
          - America/Bahia_Banderas
          - America/Belize
          - America/Chicago
          - America/Chihuahua
          - America/Costa_Rica
          - America/El_Salvador
          - America/Guatemala
          - America/Indiana/Knox
          - America/Indiana/Tell_City
          - America/Knox_IN
          - America/Managua
          - America/Matamoros
          - America/Menominee
          - America/Merida
          - America/Mexico_City
          - America/Monterrey
          - America/North_Dakota/Beulah
          - America/North_Dakota/Center
          - America/North_Dakota/New_Salem
          - America/Ojinaga
          - America/Rainy_River
          - America/Rankin_Inlet
          - America/Regina
          - America/Resolute
          - America/Swift_Current
          - America/Tegucigalpa
          - America/Winnipeg
          - CST6CDT
          - Canada/Central
          - Canada/Saskatchewan
          - Etc/GMT+6
          - Mexico/General
          - Pacific/Galapagos
          - US/Central
          - US/Indiana-Starke
          - America/Atikokan
          - America/Bogota
          - America/Cancun
          - America/Cayman
          - America/Coral_Harbour
          - America/Detroit
          - America/Eirunepe
          - America/Fort_Wayne
          - America/Grand_Turk
          - America/Guayaquil
          - America/Havana
          - America/Indiana/Indianapolis
          - America/Indiana/Marengo
          - America/Indiana/Petersburg
          - America/Indiana/Vevay
          - America/Indiana/Vincennes
          - America/Indiana/Winamac
          - America/Indianapolis
          - America/Iqaluit
          - America/Jamaica
          - America/Kentucky/Louisville
          - America/Kentucky/Monticello
          - America/Lima
          - America/Louisville
          - America/Montreal
          - America/Nassau
          - America/New_York
          - America/Nipigon
          - America/Panama
          - America/Pangnirtung
          - America/Port-au-Prince
          - America/Porto_Acre
          - America/Rio_Branco
          - America/Thunder_Bay
          - America/Toronto
          - Brazil/Acre
          - Canada/Eastern
          - Chile/EasterIsland
          - Cuba
          - EST
          - EST5EDT
          - Etc/GMT+5
          - Jamaica
          - Pacific/Easter
          - US/East-Indiana
          - US/Eastern
          - US/Michigan
          - America/Anguilla
          - America/Antigua
          - America/Aruba
          - America/Barbados
          - America/Blanc-Sablon
          - America/Boa_Vista
          - America/Campo_Grande
          - America/Caracas
          - America/Cuiaba
          - America/Curacao
          - America/Dominica
          - America/Glace_Bay
          - America/Goose_Bay
          - America/Grenada
          - America/Guadeloupe
          - America/Guyana
          - America/Halifax
          - America/Kralendijk
          - America/La_Paz
          - America/Lower_Princes
          - America/Manaus
          - America/Marigot
          - America/Martinique
          - America/Moncton
          - America/Montserrat
          - America/Port_of_Spain
          - America/Porto_Velho
          - America/Puerto_Rico
          - America/Santo_Domingo
          - America/St_Barthelemy
          - America/St_Kitts
          - America/St_Lucia
          - America/St_Thomas
          - America/St_Vincent
          - America/Thule
          - America/Tortola
          - America/Virgin
          - Atlantic/Bermuda
          - Brazil/West
          - Canada/Atlantic
          - Etc/GMT+4
          - America/St_Johns
          - Canada/Newfoundland
          - America/Araguaina
          - America/Argentina/Buenos_Aires
          - America/Argentina/Catamarca
          - America/Argentina/ComodRivadavia
          - America/Argentina/Cordoba
          - America/Argentina/Jujuy
          - America/Argentina/La_Rioja
          - America/Argentina/Mendoza
          - America/Argentina/Rio_Gallegos
          - America/Argentina/Salta
          - America/Argentina/San_Juan
          - America/Argentina/San_Luis
          - America/Argentina/Tucuman
          - America/Argentina/Ushuaia
          - America/Asuncion
          - America/Bahia
          - America/Belem
          - America/Buenos_Aires
          - America/Catamarca
          - America/Cayenne
          - America/Cordoba
          - America/Fortaleza
          - America/Jujuy
          - America/Maceio
          - America/Mendoza
          - America/Miquelon
          - America/Montevideo
          - America/Paramaribo
          - America/Punta_Arenas
          - America/Recife
          - America/Rosario
          - America/Santarem
          - America/Santiago
          - America/Sao_Paulo
          - Antarctica/Palmer
          - Antarctica/Rothera
          - Atlantic/Stanley
          - Brazil/East
          - Chile/Continental
          - Etc/GMT+3
          - America/Godthab
          - America/Noronha
          - America/Nuuk
          - Atlantic/South_Georgia
          - Brazil/DeNoronha
          - Etc/GMT+2
          - America/Scoresbysund
          - Atlantic/Azores
          - Atlantic/Cape_Verde
          - Etc/GMT+1
          - Africa/Abidjan
          - Africa/Accra
          - Africa/Bamako
          - Africa/Banjul
          - Africa/Bissau
          - Africa/Conakry
          - Africa/Dakar
          - Africa/Freetown
          - Africa/Lome
          - Africa/Monrovia
          - Africa/Nouakchott
          - Africa/Ouagadougou
          - Africa/Sao_Tome
          - Africa/Timbuktu
          - America/Danmarkshavn
          - Antarctica/Troll
          - Atlantic/Canary
          - Atlantic/Faeroe
          - Atlantic/Faroe
          - Atlantic/Madeira
          - Atlantic/Reykjavik
          - Atlantic/St_Helena
          - Eire
          - Etc/GMT
          - Etc/GMT+0
          - Etc/GMT-0
          - Etc/GMT0
          - Etc/Greenwich
          - Etc/UCT
          - Etc/UTC
          - Etc/Universal
          - Etc/Zulu
          - Europe/Belfast
          - Europe/Dublin
          - Europe/Guernsey
          - Europe/Isle_of_Man
          - Europe/Jersey
          - Europe/Lisbon
          - Europe/London
          - Factory
          - GB
          - GB-Eire
          - GMT
          - GMT+0
          - GMT-0
          - GMT0
          - Greenwich
          - Iceland
          - Portugal
          - UCT
          - UTC
          - Universal
          - WET
          - Zulu
          - localtime
          - Africa/Algiers
          - Africa/Bangui
          - Africa/Brazzaville
          - Africa/Casablanca
          - Africa/Ceuta
          - Africa/Douala
          - Africa/El_Aaiun
          - Africa/Kinshasa
          - Africa/Lagos
          - Africa/Libreville
          - Africa/Luanda
          - Africa/Malabo
          - Africa/Ndjamena
          - Africa/Niamey
          - Africa/Porto-Novo
          - Africa/Tunis
          - Arctic/Longyearbyen
          - Atlantic/Jan_Mayen
          - CET
          - Etc/GMT-1
          - Europe/Amsterdam
          - Europe/Andorra
          - Europe/Belgrade
          - Europe/Berlin
          - Europe/Bratislava
          - Europe/Brussels
          - Europe/Budapest
          - Europe/Busingen
          - Europe/Copenhagen
          - Europe/Gibraltar
          - Europe/Ljubljana
          - Europe/Luxembourg
          - Europe/Madrid
          - Europe/Malta
          - Europe/Monaco
          - Europe/Oslo
          - Europe/Paris
          - Europe/Podgorica
          - Europe/Prague
          - Europe/Rome
          - Europe/San_Marino
          - Europe/Sarajevo
          - Europe/Skopje
          - Europe/Stockholm
          - Europe/Tirane
          - Europe/Vaduz
          - Europe/Vatican
          - Europe/Vienna
          - Europe/Warsaw
          - Europe/Zagreb
          - Europe/Zurich
          - MET
          - Poland
          - Africa/Blantyre
          - Africa/Bujumbura
          - Africa/Cairo
          - Africa/Gaborone
          - Africa/Harare
          - Africa/Johannesburg
          - Africa/Juba
          - Africa/Khartoum
          - Africa/Kigali
          - Africa/Lubumbashi
          - Africa/Lusaka
          - Africa/Maputo
          - Africa/Maseru
          - Africa/Mbabane
          - Africa/Tripoli
          - Africa/Windhoek
          - Asia/Beirut
          - Asia/Famagusta
          - Asia/Gaza
          - Asia/Hebron
          - Asia/Jerusalem
          - Asia/Nicosia
          - Asia/Tel_Aviv
          - EET
          - Egypt
          - Etc/GMT-2
          - Europe/Athens
          - Europe/Bucharest
          - Europe/Chisinau
          - Europe/Helsinki
          - Europe/Kaliningrad
          - Europe/Kiev
          - Europe/Kyiv
          - Europe/Mariehamn
          - Europe/Nicosia
          - Europe/Riga
          - Europe/Sofia
          - Europe/Tallinn
          - Europe/Tiraspol
          - Europe/Uzhgorod
          - Europe/Vilnius
          - Europe/Zaporozhye
          - Israel
          - Libya
          - Africa/Addis_Ababa
          - Africa/Asmara
          - Africa/Asmera
          - Africa/Dar_es_Salaam
          - Africa/Djibouti
          - Africa/Kampala
          - Africa/Mogadishu
          - Africa/Nairobi
          - Antarctica/Syowa
          - Asia/Aden
          - Asia/Amman
          - Asia/Baghdad
          - Asia/Bahrain
          - Asia/Damascus
          - Asia/Istanbul
          - Asia/Kuwait
          - Asia/Qatar
          - Asia/Riyadh
          - Etc/GMT-3
          - Europe/Istanbul
          - Europe/Kirov
          - Europe/Minsk
          - Europe/Moscow
          - Europe/Simferopol
          - Europe/Volgograd
          - Indian/Antananarivo
          - Indian/Comoro
          - Indian/Mayotte
          - Turkey
          - W-SU
          - Asia/Tehran
          - Iran
          - Asia/Baku
          - Asia/Dubai
          - Asia/Muscat
          - Asia/Tbilisi
          - Asia/Yerevan
          - Etc/GMT-4
          - Europe/Astrakhan
          - Europe/Samara
          - Europe/Saratov
          - Europe/Ulyanovsk
          - Indian/Mahe
          - Indian/Mauritius
          - Indian/Reunion
          - Asia/Kabul
          - Antarctica/Mawson
          - Asia/Aqtau
          - Asia/Aqtobe
          - Asia/Ashgabat
          - Asia/Ashkhabad
          - Asia/Atyrau
          - Asia/Dushanbe
          - Asia/Karachi
          - Asia/Oral
          - Asia/Qyzylorda
          - Asia/Samarkand
          - Asia/Tashkent
          - Asia/Yekaterinburg
          - Etc/GMT-5
          - Indian/Kerguelen
          - Indian/Maldives
          - Asia/Calcutta
          - Asia/Colombo
          - Asia/Kolkata
          - Asia/Kathmandu
          - Asia/Katmandu
          - Antarctica/Vostok
          - Asia/Almaty
          - Asia/Bishkek
          - Asia/Dacca
          - Asia/Dhaka
          - Asia/Kashgar
          - Asia/Omsk
          - Asia/Qostanay
          - Asia/Thimbu
          - Asia/Thimphu
          - Asia/Urumqi
          - Etc/GMT-6
          - Indian/Chagos
          - Asia/Rangoon
          - Asia/Yangon
          - Indian/Cocos
          - Antarctica/Davis
          - Asia/Bangkok
          - Asia/Barnaul
          - Asia/Ho_Chi_Minh
          - Asia/Hovd
          - Asia/Jakarta
          - Asia/Krasnoyarsk
          - Asia/Novokuznetsk
          - Asia/Novosibirsk
          - Asia/Phnom_Penh
          - Asia/Pontianak
          - Asia/Saigon
          - Asia/Tomsk
          - Asia/Vientiane
          - Etc/GMT-7
          - Indian/Christmas
          - Asia/Brunei
          - Asia/Choibalsan
          - Asia/Chongqing
          - Asia/Chungking
          - Asia/Harbin
          - Asia/Hong_Kong
          - Asia/Irkutsk
          - Asia/Kuala_Lumpur
          - Asia/Kuching
          - Asia/Macao
          - Asia/Macau
          - Asia/Makassar
          - Asia/Manila
          - Asia/Shanghai
          - Asia/Singapore
          - Asia/Taipei
          - Asia/Ujung_Pandang
          - Asia/Ulaanbaatar
          - Asia/Ulan_Bator
          - Australia/Perth
          - Australia/West
          - Etc/GMT-8
          - Hongkong
          - PRC
          - ROC
          - Singapore
          - Australia/Eucla
          - Asia/Chita
          - Asia/Dili
          - Asia/Jayapura
          - Asia/Khandyga
          - Asia/Pyongyang
          - Asia/Seoul
          - Asia/Tokyo
          - Asia/Yakutsk
          - Etc/GMT-9
          - Japan
          - Pacific/Palau
          - ROK
          - Australia/Darwin
          - Australia/North
          - Antarctica/DumontDUrville
          - Asia/Ust-Nera
          - Asia/Vladivostok
          - Australia/Brisbane
          - Australia/Lindeman
          - Australia/Queensland
          - Etc/GMT-10
          - Pacific/Chuuk
          - Pacific/Guam
          - Pacific/Port_Moresby
          - Pacific/Saipan
          - Pacific/Truk
          - Pacific/Yap
          - Australia/Adelaide
          - Australia/Broken_Hill
          - Australia/South
          - Australia/Yancowinna
          - Antarctica/Casey
          - Antarctica/Macquarie
          - Asia/Magadan
          - Asia/Sakhalin
          - Asia/Srednekolymsk
          - Australia/ACT
          - Australia/Canberra
          - Australia/Currie
          - Australia/Hobart
          - Australia/LHI
          - Australia/Lord_Howe
          - Australia/Melbourne
          - Australia/NSW
          - Australia/Sydney
          - Australia/Tasmania
          - Australia/Victoria
          - Etc/GMT-11
          - Pacific/Bougainville
          - Pacific/Efate
          - Pacific/Guadalcanal
          - Pacific/Kosrae
          - Pacific/Noumea
          - Pacific/Pohnpei
          - Pacific/Ponape
          - Asia/Anadyr
          - Asia/Kamchatka
          - Etc/GMT-12
          - Kwajalein
          - Pacific/Fiji
          - Pacific/Funafuti
          - Pacific/Kwajalein
          - Pacific/Majuro
          - Pacific/Nauru
          - Pacific/Norfolk
          - Pacific/Tarawa
          - Pacific/Wake
          - Pacific/Wallis
          - Antarctica/McMurdo
          - Antarctica/South_Pole
          - Etc/GMT-13
          - NZ
          - Pacific/Apia
          - Pacific/Auckland
          - Pacific/Enderbury
          - Pacific/Fakaofo
          - Pacific/Kanton
          - Pacific/Tongatapu
          - NZ-CHAT
          - Pacific/Chatham
          - Etc/GMT-14
          - Pacific/Kiritimati
          type: string
          readOnly: true
        first_name:
          type: string
          maxLength: 150
          minLength: 1
        last_name:
          type: string
          maxLength: 150
          minLength: 1
      required:
      - email
      - first_name
      - last_name
    UserActionChangePasswordGet:
      type: object
      properties:
        public_rsa_key:
          type: string
          readOnly: true
          description: RSA Public Key for encrypting passwords
    DeviceActionSetRecordingAcknowledged:
      type: object
      properties:
        device_uuid:
          type: string
          format: uuid
          readOnly: true
        request_acknowledged:
          type: boolean
          readOnly: true
        request_acknowledged_time:
          type: string
          format: date-time
          readOnly: true
        request_up_to_start_time:
          type: string
          format: date-time
          readOnly: true
        updated_recordings:
          type: array
          items:
            type: object
            properties:
              recording_uuid:
                type: string
                format: uuid
                readOnly: true
              acknowledged:
                type: boolean
                readOnly: true
              acknowledged_time:
                type: string
                format: date-time
                readOnly: true
          readOnly: true
    DeviceRecordingActionSetAcknowledged:
      type: object
      properties:
        recording_uuid:
          type: string
          format: uuid
          readOnly: true
        acknowledged:
          type: boolean
          readOnly: true
        acknowledged_time:
          type: string
          format: date-time
          readOnly: true
        request_acknowledged:
          type: boolean
          readOnly: true
        request_acknowledged_time:
          type: string
          format: date-time
          readOnly: true
    UserActionChangePassword:
      type: object
      properties:
        username:
          type: string
          readOnly: true
          description: Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
        new_enc_password:
          type: string
          description: base64 encoded RSA-OAEP (md sha512 mgf1 sha1) utf-8 binary
            NEW password
        old_enc_password:
          type: string
          description: base64 encoded RSA-OAEP (md sha512 mgf1 sha1) utf-8 binary
            OLD password
      required:
      - new_enc_password
      - old_enc_password
